### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-page-header/common/ecl-page-header.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

template |
    <div></div>

### Index

###### Properties
Abstract eclBreadcrumbComponent
###### Methods
getBackgroundImage Abstract getBreadcrumbClass hasBackgroundImage getCssClasses
###### Inputs
backgroundImage group class e2eAttr

### Inputs

backgroundImage
Type : `string`
Default value : `null`

group
Type : `string`
Default value : `'2'`

class
Type : `string`

e2eAttr
Type : `any`

### Methods

getBackgroundImage
`getBackgroundImage()`
Returns : `any`

Abstract getBreadcrumbClass
`getBreadcrumbClass()`
Returns : `string`

hasBackgroundImage
`hasBackgroundImage()`
Returns : `boolean`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

Abstract eclBreadcrumbComponent
Type : `EclBreadcrumbComponent`

# results matching ""

# No results matching ""